path: /build/build/s3cmd-net-misc-2.4.0+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i  -e '/python-magic/d'  /var/git/meta-repo/kits/core-kit/sys-apps/file/file-5.45.ebuild
    && emerge sys-apps/file --nodeps -j
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge net-misc/s3cmd -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps net-misc/s3cmd && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/s3cmd && \
    luet-portage --dir /pkgdir/s3cmd net-misc/s3cmd && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:bb1e82a9e6f1da3dc6c9905469f3438a10507becfb305e164852c19351e3a7d3
  package:
    name: s3cmd
    version: 2.4.0+2
    category: net-misc
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Command line client for Amazon S3
    uri:
    - https://s3tools.org/s3cmd
    license: GPL-2
    buildtimestamp: 2024-11-16 12:30:14.747720294 +0000 UTC m=+118.821286767
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/python-dateutil[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/python-magic[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: net-misc/s3cmd
      kit: geaaru-kit
      original.package.name: net-misc/s3cmd
      original.package.slot: "0"
      original.package.version: 2.4.0
    treedir: /build/packages
  package_dir: /pkgdir/s3cmd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b9bba1a28de1f2683f44c3abba27005bab0505c38a43d38877ff81fb2d2961e9
compressiontype: zstd
files:
- usr/bin/s3cmd
- usr/lib/python-exec/python3.9/s3cmd
- usr/lib/python3.9/site-packages/S3/ACL.py
- usr/lib/python3.9/site-packages/S3/AccessLog.py
- usr/lib/python3.9/site-packages/S3/BaseUtils.py
- usr/lib/python3.9/site-packages/S3/BidirMap.py
- usr/lib/python3.9/site-packages/S3/CloudFront.py
- usr/lib/python3.9/site-packages/S3/Config.py
- usr/lib/python3.9/site-packages/S3/ConnMan.py
- usr/lib/python3.9/site-packages/S3/Crypto.py
- usr/lib/python3.9/site-packages/S3/Custom_httplib27.py
- usr/lib/python3.9/site-packages/S3/Custom_httplib3x.py
- usr/lib/python3.9/site-packages/S3/Exceptions.py
- usr/lib/python3.9/site-packages/S3/ExitCodes.py
- usr/lib/python3.9/site-packages/S3/FileDict.py
- usr/lib/python3.9/site-packages/S3/FileLists.py
- usr/lib/python3.9/site-packages/S3/HashCache.py
- usr/lib/python3.9/site-packages/S3/MultiPart.py
- usr/lib/python3.9/site-packages/S3/PkgInfo.py
- usr/lib/python3.9/site-packages/S3/Progress.py
- usr/lib/python3.9/site-packages/S3/S3.py
- usr/lib/python3.9/site-packages/S3/S3Uri.py
- usr/lib/python3.9/site-packages/S3/SortedDict.py
- usr/lib/python3.9/site-packages/S3/Utils.py
- usr/lib/python3.9/site-packages/S3/__init__.py
- usr/lib/python3.9/site-packages/S3/__pycache__/ACL.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ACL.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ACL.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/AccessLog.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/AccessLog.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/AccessLog.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BaseUtils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BaseUtils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BaseUtils.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BidirMap.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BidirMap.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/BidirMap.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/CloudFront.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/CloudFront.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/CloudFront.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Config.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Config.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Config.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ConnMan.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ConnMan.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ConnMan.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Crypto.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Crypto.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Crypto.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib27.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib27.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib27.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib3x.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib3x.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Custom_httplib3x.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ExitCodes.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ExitCodes.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/ExitCodes.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileDict.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileDict.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileDict.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileLists.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileLists.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/FileLists.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/HashCache.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/HashCache.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/HashCache.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/MultiPart.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/MultiPart.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/MultiPart.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/PkgInfo.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/PkgInfo.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/PkgInfo.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Progress.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Progress.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Progress.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3Uri.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3Uri.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/S3Uri.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/SortedDict.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/SortedDict.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/SortedDict.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/Utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/S3/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/s3cmd-2.4.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/s3cmd-2.4.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/s3cmd-2.4.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/s3cmd-2.4.0.dist-info/top_level.txt
- usr/share/doc/packages/s3cmd/INSTALL.md.bz2
- usr/share/doc/packages/s3cmd/LICENSE.bz2
- usr/share/doc/packages/s3cmd/NEWS.bz2
- usr/share/doc/packages/s3cmd/README.md.bz2
- usr/share/doc/s3cmd-2.4.0/NEWS.bz2
- usr/share/doc/s3cmd-2.4.0/README.md.bz2
- usr/share/man/man1/s3cmd.1.bz2
- var/db/pkg/net-misc/s3cmd-2.4.0/BDEPEND
- var/db/pkg/net-misc/s3cmd-2.4.0/BUILD_TIME
- var/db/pkg/net-misc/s3cmd-2.4.0/CATEGORY
- var/db/pkg/net-misc/s3cmd-2.4.0/CBUILD
- var/db/pkg/net-misc/s3cmd-2.4.0/CFLAGS
- var/db/pkg/net-misc/s3cmd-2.4.0/CHOST
- var/db/pkg/net-misc/s3cmd-2.4.0/CONTENTS
- var/db/pkg/net-misc/s3cmd-2.4.0/COUNTER
- var/db/pkg/net-misc/s3cmd-2.4.0/CTARGET
- var/db/pkg/net-misc/s3cmd-2.4.0/CXX
- var/db/pkg/net-misc/s3cmd-2.4.0/CXXFLAGS
- var/db/pkg/net-misc/s3cmd-2.4.0/DEFINED_PHASES
- var/db/pkg/net-misc/s3cmd-2.4.0/DEPEND
- var/db/pkg/net-misc/s3cmd-2.4.0/DESCRIPTION
- var/db/pkg/net-misc/s3cmd-2.4.0/EAPI
- var/db/pkg/net-misc/s3cmd-2.4.0/FEATURES
- var/db/pkg/net-misc/s3cmd-2.4.0/HOMEPAGE
- var/db/pkg/net-misc/s3cmd-2.4.0/INHERITED
- var/db/pkg/net-misc/s3cmd-2.4.0/IUSE
- var/db/pkg/net-misc/s3cmd-2.4.0/IUSE_EFFECTIVE
- var/db/pkg/net-misc/s3cmd-2.4.0/KEYWORDS
- var/db/pkg/net-misc/s3cmd-2.4.0/LDFLAGS
- var/db/pkg/net-misc/s3cmd-2.4.0/LICENSE
- var/db/pkg/net-misc/s3cmd-2.4.0/PF
- var/db/pkg/net-misc/s3cmd-2.4.0/RDEPEND
- var/db/pkg/net-misc/s3cmd-2.4.0/SIZE
- var/db/pkg/net-misc/s3cmd-2.4.0/SLOT
- var/db/pkg/net-misc/s3cmd-2.4.0/USE
- var/db/pkg/net-misc/s3cmd-2.4.0/environment.bz2
- var/db/pkg/net-misc/s3cmd-2.4.0/repository
- var/db/pkg/net-misc/s3cmd-2.4.0/s3cmd-2.4.0.ebuild
package_cacheimage: ""
runtime:
  name: s3cmd
  version: 2.4.0+2
  category: net-misc
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: python-dateutil
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Command line client for Amazon S3
  uri:
  - https://s3tools.org/s3cmd
  license: GPL-2
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/python-dateutil[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/python-magic[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: net-misc/s3cmd
    kit: geaaru-kit
    original.package.name: net-misc/s3cmd
    original.package.slot: "0"
    original.package.version: 2.4.0
